/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

window.onload = function() {
	
	canvas = document.getElementById("canvas");
	contexto = canvas.getContext("2d");
	
	depurar=0;
	boton_depurar = document.getElementById("boton_depurar"); //boton de depurar

	//Anadimos los listener para los eventos
	canvas.addEventListener('mouseup', raton_liberado, false);
	canvas.addEventListener('mousemove', raton_movido, false);
	
	down=0;
	down_time=0;
	
	//Inicializamos el escenario
	grid=new Grid();
	
	//Inicializamos el dialogo
	dialogo=new Dialogo(100,100,ANCHURA_VENTANA-200,ALTURA_VENTANA-200);
	//Inicializamos las bandas
	jugador=new Jugador(125,150);
	
	//Progreso de la carga
	var total=2;
	trozo=100/total;
	progreso=1;
	//Para lanzar el fadein
	fadein_alpha=1.0;
	//Para lanzar el fadeout
	fadeout_alpha=1.0;
	
	//Lanzamos el evento draw_progressbar
	interval=setInterval("run()",INTERVALO_REFRESCAR_PANTALLA);
	
	//Bloqueamos el control incialmente
	bloquear();	
}

function run(){
	animar();
	dibujar();
}

function animar(){	
}

function dibujar() {

	/*if(progreso<100){
		draw_progressbar();
	}else{*/

		dibujar_dialogo();
		
		//Depuramos si hemos activado el modo depurar
		if(depurar){
			dibujar_depurar();
		}
		
		dibujar_jugador();
		
		draw_fadein();
		draw_fadeout();
	//}
}

function activar_depurar(){
	depurar=!depurar;
	if(depurar){
		document.formulario.texto_banda.style.display="block";
		document.formulario.texto_user.style.display="block";
	
		imprime_mensaje("Modo depurar activado");
	}else{
		document.formulario.texto_banda.style.display="none";
		document.formulario.texto_user.style.display="none";
	
		imprime_mensaje("Modo depurar desactivado");
	}
}

function imprime_mensaje(mensaje){
	document.formulario.texto_mensaje.value=mensaje;
}

function destacar_botones(x,y){
	dialogo.opcion_apuntada=-1;
	var i;
	for(i=0;i<dialogo.coordenadas_opciones.length && dialogo.opcion_apuntada==-1;i++){
		var x1=dialogo.coordenadas_opciones[i][0];
		var y1=dialogo.coordenadas_opciones[i][1];
		var x2=x1+dialogo.opcion_w;
		var y2=y1+dialogo.opcion_w;

		if(x>=x1 && x<=x2 && y>=y1 && y<=y2)
				dialogo.opcion_apuntada=i;
	}
}

function bloquear(){blok=1;}
function desbloquear(){blok=0;}